Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1018182 - primary monitor is switched if some screen gets bigger then current primary screen
Summary: primary monitor is switched if some screen gets bigger then current primary s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: mingw-virt-viewer
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Jonathon Jongsma
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1018180
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-10-11 11:45 UTC by David Jaša
Modified: 2015-02-11 17:43 UTC (History)
8 users (show)

Fixed In Version: mingw-virt-viewer-0.6.0-1
Doc Type: Bug Fix
Doc Text:
Display configuration sometimes used outdated information about the position of the remote-viewer windows in order to align and configure the guest displays. Occasionally, this caused the guest displays to became unexpectedly swapped when a window is resized. With this update, remote-viewer will always use the current window locations to align displays, rather than using a possibly outdated cached location information.
Clone Of: 1018180
Environment:
Last Closed: 2015-02-11 17:43:23 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0197 normal SHIPPED_LIVE Moderate: rhevm-spice-client security and bug fix update 2015-02-11 22:35:16 UTC

Description David Jaša 2013-10-11 11:45:26 UTC
This bug affects windows clients as well as linux clients. Any discussion relevant to both bugs should take place at the parent bug.


+++ This bug was initially created as a clone of Bug #1018180 +++

Description of problem:
when user resizes monitors in a way that current primary monitors gets smaller than some other monitor, the now-biggest screen becomes primary. This is quite confusing for the users and it should not happen.
The issue occurs just with new clients, I didn't manage to reproduce with old (3.2) client/new vdagent combo.

Version-Release number of selected component (if applicable):
RHEL 6.5: spice-gtk-0.20-9.el6.x86_64
Windows 7 32b: mingw-virt-viewer-0.5.6-6.el6_64

How reproducible:
with 3.3 vdagent: roughly 70-100 % of cases
with 3.2 vdagent: occurs in one of multiple tries

Steps to Reproduce:
1. connect to multiple monitor guest (windowed)
2. resize primary monitor (with taskbar) to be smaller than some other monitor (or vice versa - resize non-primary monitor to be larger than primary)
3.

Actual results:
the now-biggest monitor becomes primary

Expected results:
primary monitor is not changed at all

Additional info:
The only case when primary monitor is changed is when current primary monitor is disabled - guest should however handle this condition entirely itself

Comment 1 Marc-Andre Lureau 2013-11-07 13:39:51 UTC
needinfo, discussion in dup bug.

Comment 2 David Blechter 2013-12-08 20:56:46 UTC
pushing to 3.4 as no blocker flag proposed and we are at RC phase and the issue is under investigation

Comment 3 Marc-Andre Lureau 2014-03-04 18:32:40 UTC
parent bug is in POST, moving here too

Comment 4 Marc-Andre Lureau 2014-03-04 18:32:51 UTC
parent bug is in POST, moving here too

Comment 5 Marc-Andre Lureau 2014-04-17 10:57:39 UTC
moving to Jonathon, who fixed the bug

Comment 6 David Blechter 2014-04-17 19:46:40 UTC
We'll re-base in in the next release, moving to 3.5

Comment 9 Julie 2015-01-27 07:22:44 UTC
hi Marc-Andre,
 Would you be able to explain a bit more about "Fix: Always use the current window location to align and configure displays". What are we recommending users to do to avoid the screen swap?

Cheers,
Julie

Comment 10 Marc-Andre Lureau 2015-01-27 10:22:25 UTC
(In reply to Julie from comment #9)
> hi Marc-Andre,
>  Would you be able to explain a bit more about "Fix: Always use the current
> window location to align and configure displays". What are we recommending
> users to do to avoid the screen swap?
> 
> Cheers,
> Julie

I used Jonathon comments from bug 1018180, better ask him.

Comment 11 Jonathon Jongsma 2015-01-27 15:12:50 UTC
Sorry for the confusing wording. The user does not need to do anything. My comment simply means that virt-viewer itself will always use the current window locations to align displays, rather than using possibly-out-of-date cached location information. So it should "just work" now.

Comment 12 Julie 2015-01-29 02:48:21 UTC
(In reply to Jonathon Jongsma from comment #11)
> Sorry for the confusing wording. The user does not need to do anything. My
> comment simply means that virt-viewer itself will always use the current
> window locations to align displays, rather than using possibly-out-of-date
> cached location information. So it should "just work" now.

Thanks Jonathon.

Comment 14 errata-xmlrpc 2015-02-11 17:43:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0197.html


Note You need to log in before you can comment on or make changes to this bug.